<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Validator;
use Illuminate\Validation\ValidationException;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Auth;
use App\Models\AddProjects;
use App\Models\submit_invoices;
use App\Models\add_on;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Project;
use App\Models\mileStone;
use App\Models\addworkesEmployee;
use Illuminate\Support\Facades\Redirect;
use Dompdf\Dompdf;
use Dompdf\Options;
use App\Models\module;
use App\Models\Permission;
use App\Models\Role;
use Exception;
use Illuminate\Support\Facades\Log;

// use App\Models\newpermissions;

class HomeController  extends Controller
{
   public function showLoginForm()
   {
      return view('auth.login');
   }
   public function validateLogin(Request $request)
   {
      try {
         $email = $request->input('email');
         $password = $request->input('password');


         $users = User::where('email', $email)->first();
         if (Auth::attempt(['email' => $email, 'password' => $password])) {
            $userType =  Auth::user()->role_id;

            $roles = Role::where('name', $userType)->get();

            $descriptions = $roles->pluck('description')->toArray();

            $allowedDescriptions = [];


            $modules = Module::get()->toArray(); // Assuming Module model exists and retrieves modules
            // $requiredPermission = ['user.view', 'project.view']; // Get the required permission for the module
            $requiredPermission = $descriptions; // Get the required permission for the module

            $permissionGetCondition = ['name' => $userType];
            $rolePermissions = Role::where($permissionGetCondition)->whereIn('description', $requiredPermission)->get()->toArray();


            $permissionArray = [];
            $descriptions = array_column($rolePermissions, 'description');
            // foreach($rolePermissions as $permission) {
            //    $permissionArray[] = $permission['description'];
            // }



            foreach ($modules as &$module) {
               $modulePermissions = [];
               $hasViewPermission = false; // Flag to track if .view permission is present

               // Loop through role permissions to match role with module's URL
               foreach ($rolePermissions as $permission) {
                  if ('/' . $permission['role'] === $module['url']) {
                     $modulePermissions[$permission['description']] = 1;

                     // Check if .view permission is present
                     if (strpos($permission['description'], '.view') !== false) {
                        $hasViewPermission = true;
                        $modulePermissions['rolePermission'] = 1;
                     }
                  }
               }

               // Unset .view permission if it's not present
               if (!$hasViewPermission && isset($modulePermissions[$module['url'] . '.view'])) {
                  unset($modulePermissions[$module['url'] . '.view']);
               }

               // Assign module's permissions to the module
               $module = array_merge($module, $modulePermissions);
            }
            unset($module); // unset the reference to avoid accidental modifications later
            Session::put('user_modules_' . auth()->id(), $modules);
            if (Auth::user()->type == 'admin') {

               return redirect('/dashboard');
            }

            if (Auth::user()->type == 'sales') {

               return redirect('/ListOfProject');
            }
            if (Auth::user()->type == 'manager') {
               return redirect('/ListOfPojectManager');
            } else {
               return redirect('login')->with('success', 'Login successful!');
            }
         }
         return redirect()->route('loginpage')->with('error', 'Invalid email or password');
      } catch (Exception $e) {
         echo $e->getMessage();
      }
      // dd(Auth::user()->type);
   }
   private function hasPermission($user, $permission)
   {


      $userPermissions = $user->permissions()->pluck('name')->toArray();
      return in_array($permission, $userPermissions);
   }
   public function logout(Request $request)

   {

      $this->guard()->logout();
      $request->session()->flush();
      $request->session()->regenerate();



      return redirect('/login');
   }
   public function dashboard()
   {
      $modules = Session::get('user_modules_' . auth()->id());
      return view('dashboard', ['modules' => $modules]);
   }
   public function add_projects()
   {
      // $modules = Module::all();
      $modules = Session::get('user_modules_' . auth()->id());

      $projectmanager = User::where('type', 2)->get();
      return view('add-project', ['projectmanager' => $projectmanager], ['modules' => $modules]);
   }


   public function insertProject(Request $request)
   {
      $loginId = Auth::user()->id;
      //   dd($request->all());


      $validator =  $validator = Validator::make($request->all(), [
         'projectcompany' => 'required|string',
         'projectname' => 'required|string',
         'projectbudget' => 'required|numeric',
         'projecttype' => 'required|string',
         'projectmanager' => 'required|numeric',
         'csm' => 'required|string',
         'tags' => 'required|string',
         'milestone' => 'nullable|string',
         'address' => 'nullable|string',
         'comments' => 'nullable|string',
         'cilentname' => 'required|string',
         'cilentemail' => 'required|email|unique:users,email', // Assuming you're checking uniqueness in 'users' table
         'companyname' => 'required|string',
         'cilentphone' => 'required|numeric',
         'projectstartdate' => 'required|date',
         'status' => 'required|string',
      ], [
         'projectcompany.required' => 'Project company is required.',
         'projectname.required' => 'Project name is required.',
         'projectbudget.required' => 'Project budget is required.',
         'projectbudget.numeric' => 'Project budget must be a number.',
         'projecttype.required' => 'Project type is required.',
         'projectmanager.required' => 'Project manager  is required.',
         // 'projectmanager_id.numeric' => 'Project manager ID must be a number.',
         'csm.required' => 'CSM is required.',
         'tags.required' => 'Tags are required.',
         'cilentname.required' => 'Client name is required.',
         'cilentemail.required' => 'Client email is required.',
         'cilentemail.email' => 'Client email must be a valid email format.',
         'cilentemail.unique' => 'Client email already exists.', // Customize this message as needed
         'companyname.required' => 'Company name is required.',
         'cilentphone.required' => 'Client phone number is required.',
         'cilentphone.numeric' => 'Client phone number must be a number.',
         'projectstartdate.required' => 'Project start date is required.',
         'projectstartdate.date' => 'Project start date must be a valid date.',
         'status.required' => 'Status is required.',
      ]);

      if ($validator->fails()) {
         return redirect()->back()->withErrors($validator)->withInput();
      }


      $projectData = [
         'userId' => $loginId,

         'projectcompany' => $request->input('projectcompany'),
         'projectname' => $request->input('projectname'),
         'projectbudget' => $request->input('projectbudget'),
         'projecttype' => $request->input('projecttype'),
         'projectmanager_id' => $request->input('projectmanager'),
         'csm' => $request->input('csm'),
         'tags' => $request->input('tags'),
         'milestone' => $request->input('milestone'),
         'address' => $request->input('address'),
         'comments' => $request->input('comments'),
         'cilentname' => $request->input('cilentname'),
         'cilentemail' => $request->input('cilentemail'),
         'companyname' => $request->input('companyname'),
         'cilentphone' => $request->input('cilentphone'),
         'projectstartdate' => $request->input('projectstartdate'),
         'status' => $request->input('status'),
      ];
      $projectId = $request->input('projectId');
      // dd($projectData);
      $existingProject = AddProjects::find($projectId);
      // dd($existingProject);
      if ($existingProject) {
         // Update the existing project if the ID exists
         $existingProject->fill($projectData)->save();
         return redirect()->back()->with('status', 'Project Updated Successfully');
      } else {
         // Create a new project if the provided ID doesn't exist
         $project = AddProjects::create($projectData);

         if ($project) {
            return redirect()->back()->with('status', 'Project Created Successfully');
         } else {
            return redirect()->back()->with('status', 'Failed to Create New Project');
         }
      }
   }

   
   public function manage_project()
   {
      $projects = AddProjects::paginate(5);
      $modules = Session::get('user_modules_' . auth()->id());

      foreach ($projects as $value) {
         $total = 0;
         $status = 0;
         $invoices = submit_invoices::where('project_id', $value->id)->get();
         foreach ($invoices as $invoice) {
            $total += $invoice->Total;
            $status = $invoice->status;
         }
         $value['total_invoice'] = $total;

         if ($status == 1) {
            $amount_received = submit_invoices::where('project_id', $value->id)->where('status', 1)->sum('total');

            $value['receviced_Amount'] = $amount_received;
            $value['remaining_Amount'] = $amount_received - $amount_received;
         } else {
            $value['remaining_Amount'] = $value->ProjectBudget;
         }
         $projectManager = User::join('add_projects', 'users.id', '=', 'add_projects.projectmanager_id')
            ->where('add_projects.id', $value->id)
            ->select('users.name')
            ->first();


         $value['project_manager_name'] = $projectManager ? $projectManager->name : null;
      }

      return view("manage-project", ['users' => $projects], ['modules' => $modules]);
   }
   public function projectEdit($id)
   {
      $modules = Session::get('user_modules_' . auth()->id());

      $project = AddProjects::find($id);
      $projectManagerId = $project->projectmanager_id;
      $projectManager = User::find($projectManagerId);
      $users = User::all();
      // dd($project);
      // Check if the project exists
      if (!$project) {
         abort(404); // Or handle the case when the project doesn't exist
      }
      // dd($project);
      return view('edit_manage_project', [
         'projectManagerId' => $projectManagerId,
         'projectManagerName' => $projectManager->name, // Assuming 'name' is the field holding user names
         'project' => $project,
         'modules' => $modules,
         'users' => $users,
      ]);
      //  return view('edit_manage_project', compact('project', 'modules','projectManagerId',''));
   }
   public function deleteProject($id)
   {
      $project = AddProjects::find($id);

      if ($project) {
         $project->delete();
         return redirect()->back()->with('success', 'Project deleted successfully.');
      } else {
         return redirect()->back()->with('error', 'Project not found or already deleted.');
      }
   }


   public function show($id)
   {
      $project = AddProjects::find($id);
      // $modules = module::all();
      // $modules = [];
      $modules = Session::get('user_modules_' . auth()->id());

      $invoices = submit_invoices::where('project_id', $id)->get();

      $invoice_Raised = 0;

      foreach ($invoices as $invoice) {
         $invoice_Raised += $invoice->Total;
      }
      $totalProjectBudget = $project->ProjectBudget;
      $remainingAmount = $totalProjectBudget - $invoice_Raised;
      return view('project-invoices', ['projectData' => $project, 'invoicesData' => $invoices,  'invoice_Raised' => $invoice_Raised, 'remainingAmount' => $remainingAmount, 'modules' => $modules]);
   }

   public function updateStatus(Request $request, submit_invoices $invoice)
   {
      $newStatus = $request->input('status');
      $invoice->update(['status' => $newStatus]);

      return redirect()->back();
   }
   public function deleteinvoice($id)
   {
      $invoice = submit_invoices::find($id);

      if ($invoice) {
         $invoice->delete();
         Session::flash('success', 'Invoice record deleted successfully.');
      } else {
         Session::flash('error', 'Failed to delete invoice record.');
      }

      return redirect()->back();
   }
   public function editInvoices($id)
{
   $modules = Session::get('user_modules_' . auth()->id());

    $invoice = submit_invoices::findOrFail($id);
   //  $projectDetails  = $invoice->project_id->first();
   $projectData = $invoice->project; 

   //  dd($invoice);
    return view('invoices_edit', compact('invoice','modules','projectData'));
}





   public function addinvoices($id)
   {
      $modules = Session::get('user_modules_' . auth()->id());

      $projectData = AddProjects::find($id);

      return view('add-invoice', ['projectData' => $projectData], ['modules' => $modules]);
   }
   public function addmilestone($id)
   {
      // $modules = Module::all();
      $modules = Session::get('user_modules_' . auth()->id());

      $projectData = AddProjects::find($id);
      if ($projectData) {
         $data = \App\Models\milestone::where('project_id', $projectData->id)->get();

         return view('add_Milestone', [
            'modules' => $modules,
            'projectData' => $projectData,
            'data' => $data,
         ]);
      } else {
      }
   }
   public function validatMileStone(Request $request)
   {
      // dd($request->all());
      $modules = Session::get('user_modules_' . auth()->id());

      $validatedData = $request->validate([

         'Name' => 'required|string|max:255',
         'status' =>
         'required',

         'Time' => 'required',
         'description' => 'required|string',
         // Add other validation rules as needed
      ], [

         'Name.required' => 'Name is required.',
         'Name.string' => 'Name must be a string.',
         'Name.max' => 'Name cannot exceed 255 characters.',
         'status.required' => 'Status is required',
         'time.required' => 'Time is required',
         // 'time.numeric' => 'Time  must be a numeric',

         'description.required' => 'Description is required.',
         'description.string' => 'Description must be a string.',


      ]);
      $AddMilestoneDetails =
         [
            'project_id' => $request->input('projectId'),
            'name' => $request->input('Name'),
            'status' => $request->input('status'),
            'Estimed Times' => $request->input('Time'),
            'description' => $request->input('description'),
         ];
      // dd($AddMilestoneDetails);
      $users = milestone::create($AddMilestoneDetails);
      return redirect()->back()->with('status', 'Register MileStone Added Successfully');
   }
   public function deleteMilestone($id)
   {
      $milestone = Milestone::find($id);

      if ($milestone) {
         $milestone->delete();
         return redirect()->back()->with('success', 'Milestone deleted successfully.');
      } else {
         return redirect()->back()->with('error', 'Milestone not found or already deleted.');
      }
   }
   public function addWorksEmployee($id)
   {
      // $modules = Module::all();
      $modules = Session::get('user_modules_' . auth()->id());

      $projectData = AddProjects::find($id);

      if ($projectData) {
         $addworkesEmployees = \App\Models\AddworkesEmployee::where('project_id', $projectData->id)->get();
         $users = User::where('type', 0)->get();

         return view('addWorkEmployee', [
            'modules' => $modules,
            'projectData' => $projectData,
            'addworkesEmployees' => $addworkesEmployees,
            'users' => $users
         ]);
      } else {
      }
   }

   public function addworkesEmployeeStore(Request $request)
   {
      $request->validate([

         'userId' => 'required',
         'startdate' => 'required|date',
         'enddate' => 'required|date|after_or_equal:startdate',
         'role' => 'required|string|max:255',
         'Description' => 'required|string',
         // Add other validation rules as needed
      ]);
      [

         'userId.required' => 'userId is required.',
         // 'name.string' => 'Name must be a string.',
         // 'name.max' => 'Name cannot exceed 255 characters.',
         'startdate.required' => 'Start date is required.',
         'startdate.date' => 'Start date must be a valid date.',
         'enddate.required' => 'End date is required.',
         'enddate.date' => 'End date must be a valid date.',
         'enddate.after_or_equal' => 'End date must be after or equal to the start date.',
         'role.required' => 'Role is required.',
         'role.string' => 'Role must be a string.',
         'role.max' => 'Role cannot exceed 255 characters.',
         'Description.required' => 'Description is required.',
         'Description.string' => 'Description must be a string.',
      ];
      $addworkesEmployee =
         [
            'project_id' => $request->input('projectId'),
            'userId' => $request->input('userId'),
            'startdate' => $request->input('startdate'),
            'enddate' => $request->input('enddate'),
            'role' => $request->input('role'),
            'Description' => $request->input('Description'),

         ];
      // dd($addworkesEmployee);
      $addworkesEmployee = addworkesEmployee::create($addworkesEmployee);


      return redirect()->back()->with('status', 'employee  Work Added Successfully');
   }
   public function deleteEmployee($id)
   {
      $employee = AddworkesEmployee::find($id);

      if ($employee) {
         $employee->delete();
         Session::flash('success', 'Employee record deleted successfully.');
      } else {
         Session::flash('error', 'Failed to delete employee record.');
      }

      return redirect()->back();
   }




   public function submit_invoice(Request $request)
   {
      $userId = Auth::user()->id;

      $validatedData = $request->validate([
         'date' => 'required|date',
         'due_date' => 'required|date',
         'Description' => 'required|string',
         'Quantity' => 'required|numeric',
         'Price' => 'required|numeric',
         'Amount' => 'required|numeric',
         'Total' => 'required|numeric',
         'Comments' => 'required|string',
      ]);
      $submitinvoice = [
         'project_id' => $request->input('project_id'),
         'Bill_Genrate_Date' => $request->input('date'),
         'DueDate' => $request->input('due_date'),
         'Description' => $request->input('Description'),
         'Quantity' => $request->input('Quantity'),
         'Price' => $request->input('Price'),
         'Amount' => $request->input('Amount'),
         'Total' => $request->input('Total'),
         'Comments' => $request->input('Comments'),
         'PaymentOption' => $request->input('flexRadioDefault'),
         'status' => 0,
         'usersId' => $userId,
      ];

      $submitInvoiceId = DB::table('submit_invoices')->insertGetId($submitinvoice);
      $projectId = $request->input('project_id');
      $invoice = AddProjects::find($projectId);
      $projectArray = $invoice->toArray();

      $submitInvoicesMergedArray = array_merge($submitinvoice, $projectArray);

      $pdf = new Dompdf();
      $pdf->setPaper('A4', 'portrait');

      $html = view('invoice', $submitInvoicesMergedArray)->render();

      $pdf->loadHtml($html);

      $pdf->render();

      $pdf->stream('invoice.pdf');

      return redirect()->back()->with('status', 'Invoices Add Successfully');
   }

   public function add_on(Request $request)
   {
      $add_onDetails = [
         'project_id' => $request->input('project_id'),
         'Name' => $request->input('Name'),
         'Description' => $request->input('Description'),
         'Price' => $request->input('Price'),
      ];

      $add_on = Add_On::create($add_onDetails);

      $project_id = $add_onDetails['project_id'];
      $projectDetails = AddProjects::find($project_id);

      if ($projectDetails) {
         $new_price = $projectDetails->ProjectBudget + $add_onDetails['Price'];
         $projectDetails->update(['ProjectBudget' => $new_price]);
      }

      return redirect()->back()->with('status', 'Add On Added Successfully');
   }



   public function updateStatusMileStone(Request $request, User $user)
   {
      $newStatus = $request->input('status');
      $user->update(['status' => $newStatus]);

      return redirect()->back();
   }


   public function addUsers()
   {
      $user  = Auth::user()->status;
      // dd($user);
      $modules = Session::get('user_modules_' . auth()->id());
      // $modules = Module::all();
      $role = Role::all()->toArray();
      $processedData = [];

      foreach ($role as $item) {
         $name = $item['name'];

         // Add the role to the roles array for the specific name
         if (!isset($processedData[$name]['role'])) {
            $processedData[$name]['role'] = [];
         }
         $processedData[$name]['role'][] = $item['role'];

         // Add the description to the descriptions array for the specific name
         if (!isset($processedData[$name]['description'])) {
            $processedData[$name]['description'] = [];
         }
         $processedData[$name]['description'][] = $item['description'];
      }
      //   dd($processedData);
      return view('add_Users', ['modules' => $modules, 'processedData' => $processedData]);
   }
   public function addUsersStore(Request $request)
   {
      $validator = Validator::make($request->all(), [
         'name' => 'required|string|max:255',
         'email' => 'required|email|unique:users,email',
         'type' => 'required|string',
         'password' => 'required|string|min:8', // Adjust the minimum password length as needed
         'role_id' => 'required',
         'userstatus' => 'required|string',
         // Add other validation rules as needed
      ], [
         'name.required' => 'Name is required.',
         'name.string' => 'Name must be a string.',
         'name.max' => 'Name cannot exceed 255 characters.',
         'email.required' => 'Email is required.',
         'email.email' => 'Please provide a valid email address.',
         'email.unique' => 'This email is already in use.',
         'type.required' => 'Type is required.',
         'type.string' => 'Type must be a string.',
         'password.required' => 'Password is required.',
         // 'password.string' => 'Password must be a string.',
         'password.min' => 'Password must be at least 8 characters long.', // Adjust the message for password length
         'role_id.required' => 'Role ID is required.',
         // 'role_id.numeric' => 'Role ID must be a number.',
         'userstatus.required' => 'User status is required.',
         'userstatus.string' => 'User status must be a string.',
         // Add custom error messages for other fields as needed
      ]);

      if ($validator->fails()) {
         return redirect()->back()->withErrors($validator)->withInput();
      }
      $usersStore = [
         'name' => $request->input('name'),
         'email' => $request->input('email'),
         'type' => $request->input('type'),
         'password' => Hash::make($request->input('password')),
         'role_id' => $request->input('role_id'),
         'status' => $request->input('userstatus'),

      ];

      // dd($usersStore);
      $user = User::create($usersStore);
      if ($user) {
         $status = "User added successfully!";
         return redirect()->back()->with('status', $status);
      } else {
         $status = "Failed to add user!";
         return redirect()->back()->with('status', $status);
      }
   }

   public function mannageUser()
   {
      $userId = Auth::id();

      $modules = Session::get('user_modules_' . auth()->id());



      $allUsers = User::paginate(15);
      return view('mannage_user', ['modules' => $modules], ['allUsers' => $allUsers]);
   }

   public function deleteUser($id)
   {
      $user = User::find($id);

      if ($user) {
         $user->delete();
         $status = "User deleted successfully!";
         return redirect()->back()->with('status', $status);
      } else {
         $status = "Failed to delete user!";
         return redirect()->back()->with('status', $status);
      }
   }
   public function edit($userId)
   {
      $user = User::findOrFail($userId);
      // $modules = module::all();
      $modules = Session::get('user_modules_' . auth()->id());


      return view('editUser', ['user' => $user], ['modules' => $modules]);
   }

   public function projectList()
   {


      $modules = Session::get('user_modules_' . auth()->id());

      $userId = auth()->id();

      $users = AddProjects::where('projectmanager_id', $userId)->get();
      // dd($users);
      $userDetails = User::where('id', $userId)->get();
      // dd( $userDetails);
      $usersWorks = AddWorkesEmployee::where('userId', $userId)->get();
      return view('projectListOfSalesManager', [
         'usersWorks' => $usersWorks,
         'modules' => $modules,
         'users' => $users,
         'userDetails' => $userDetails,
      ]);
   }
   public function PojectManagerList()
   {
      $modules = Session::get('user_modules_' . auth()->id());

      $userId = auth()->id();

      $users = AddProjects::where('projectmanager_id', $userId)->get();
      // dd($users);
      $userDetails = User::where('id', $userId)->get();
      // dd($userDetails);
      return view('projectListManager', [
         // 'usersWorks' => $usersWorks,
         'modules' => $modules,
         'users' => $users,
         'userDetails' => $userDetails,
      ]);
   }
}
