<?php

namespace App\Http\Controllers;

use App\Models\module;
use App\Models\Role;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;


class RoleController extends Controller
{
    public function allRolesView()
    {

        $permissions = [];
       
        $userType =  Auth::user()->role_id;

        $roles = Role::where('name', $userType)->get();

        $descriptions = $roles->pluck('description')->toArray();

        $allowedDescriptions = [];


        $modules = Module::get()->toArray(); // Assuming Module model exists and retrieves modules
        // $requiredPermission = ['user.view', 'project.view']; // Get the required permission for the module
        $requiredPermission = $descriptions; // Get the required permission for the module

        $permissionGetCondition = ['name' => $userType];
        $rolePermissions = Role::where($permissionGetCondition)->whereIn('description', $requiredPermission)->get()->toArray();
        foreach ($modules as &$module) {
            // Assuming modules have a 'requiredPermission' field
            foreach ($rolePermissions as &$permission) {
                if ($permission['role'] == $module['url']) {

                    $module['rolePermission'] = true;

                    break;
                } else {
                    $module['rolePermission'] = false;
                }
            }
        }




        // Group role by usersId
        $role = Role::all()->toArray();
        $processedData = [];

        foreach ($role as $item) {
            $name = $item['name'];

            // Add the role to the roles array for the specific name
            if (!isset($processedData[$name]['role'])) {
                $processedData[$name]['role'] = [];
            }
            $processedData[$name]['role'][] = $item['role'];

            // Add the description to the descriptions array for the specific name
            if (!isset($processedData[$name]['description'])) {
                $processedData[$name]['description'] = [];
            }
            $processedData[$name]['description'][] = $item['description'];
        }
        //    dd($processedData);

        return view('allRolesView', [
            'modules' => $modules,  'processedData' => $processedData
        ]);
    }
    public function delete($name)
    {
        $role = Role::where('name', $name)->delete();

        if ($role) {
            $status = "Permission deleted successfully!";
            return redirect()->back()->with('status', $status);
        } else {
            $status = "Failed to delete permission!";
            return redirect()->back()->with('status', $status);
        }
    }
    public function allRolesEdit($userName)
    {
        $modules = Module::all(); // Assuming 'Module' is your model name
        return view('editRole', ['name' => $userName, 'modules' => $modules]);
    }
    
    

   




    public function allRolesDetails()
    {
        $modules = module::all();

        // dd($allUsersName);
        return view('allRolesDetails', ['modules' => $modules]);
    }
    public function allRolesDetailsStore(Request  $request)
    {
        $validator = Validator::make($request->all(), [
            'name' => 'required|string|max:255', 
        ], [
            'name.required' => 'Name is required.',
            'name.string' => 'Name must be a string.',
            'name.max' => 'Name cannot exceed 255 characters.',
           
        ]);
        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }
        $name = $request->input('name');
        $roleNames = $request->input('groupname');
        $permissions = $request->input('permissions');
        //dd($roleNames);
        $rolePermissions = [];

        foreach ($permissions as $permission) {
            foreach ($roleNames as $role) {
                if (strpos($permission, $role) !== false) {
                    $rolePermissions[] = [
                        'name' => $name,
                        'role' => $role,
                        'description' => $permission,
                    ];
                    // Break once a matching role is found for the permission
                }
            }
        }

        Role::insert($rolePermissions);
        return redirect()->back()->with('status', 'Permisiion Added Successfully');
    }

   
}
