<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
// use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Faker\Factory as Faker;

class UsersSeeder extends Seeder
{
    public function run()
    {
        $faker = Faker::create();

        foreach (range(1, 10) as $index) {
            DB::table('users')->insert([
                'name' => $faker->name,
                'email' => $faker->unique()->safeEmail,
                'password' => Hash::make('12345'), // Hash a default password
                'type' => $faker->numberBetween(0, 2), // Randomly assign user types (0, 1, or 2)
                'status' => $faker->numberBetween(0, 1), // Randomly assign user status (0 or 1)
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }
    }
}
