@extends('header')
@section('title', 'Add Project')

@section('content')
<div class="layout-px-spacing">
    @if (session('status'))
    <h6 class="alert {{ session('status') === 'Project Added Successfully' ? 'alert-success' : 'alert-danger' }}">
        {{ session('status') }}
    </h6>
    @endif
   



    <div class="middle-content container-xxl p-0">


        <div class="row layout-top-spacing">

            <div class="">
                <div class="row">
                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                        <h4>Add Project</h4>
                    </div>
                </div>
            </div>





            <div id="flLoginForm" class="col-lg-12 layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Project Detail</h4>
                            </div>
                        </div>
                    </div>
                    @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                    <div class="widget-content widget-content-area">

                        <form method="POST" action="{{ route('insertProject') }}">
                             @csrf
                            <div class="row g-3">
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Company</label>
                                    <select id="inputState" class="form-select" name="projectcompany">
                                        <option value="">Select Project Company</option>
                                        <option value="TechGropse Pvt Ltd." @if(old('projectcompany') == 'TechGropse Pvt Ltd.') selected @endif>
                                            TechGropse Pvt Ltd.
                                        </option>
                                    </select>
                                    @error('projectcompany')
                                        <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                
                                
                                

                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Name</label>
                                    <input type="text" name="projectname" class="form-control" placeholder="ProjectName"
                                           value="{{ old('projectname') }}">
                                    @error('projectname')
                                        <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                
                                <div class="col-md-6">
                                    <label for="inputZip" class="form-label">Project Budget</label>
                                    <input type="number" class="form-control" id="inputZip" name="projectbudget"
                                        placeholder="Project Budget">
                                    @error('projectbudget')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Type</label>
                                    <select id="inputState" class="form-select" name="projecttype">
                                        <option selected value="">Select Project Type</option>
                                        <option value="Web">Web</option>
                                        <option value="Web&Andriod">Web And Andriod</option>
                                        <option value="Web&Ios">Web And Ios</option>
                                        <option value="Andriod">Andriod</option>
                                        <option value="Andriod&Web">Andriod And Web</option>
                                        <option value="Andriod&Ios">Andriod And Ios</option>
                                        <option value="Ios">Ios</option>
                                        <option value="Ios&Web">Ios And Web</option>
                                        <option value="Ios&Andriod">Ios Andriod</option>



                                    </select>
                                    @error('projecttype')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Manager</label>


                                    <select id="inputState" class="form-select" name="projectmanager">


                                        <option selected value="">Select Manager</option>
                                        @foreach ($projectmanager as $user)
                                        {{-- {{ $user }} --}}
                                        <option value="{{$user['id']}}">{{$user['name']}}</option>
                                        @endforeach

                                    </select>
                                    @error('projectmanager')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">CSM</label>
                                    <select id="inputState" class="form-select" name="csm">
                                        <option selected value="">Select CSM</option>
                                        <option value="Aman Mishra">Aman Mishra</option>
                                        <option value="Anup Kumar">Anup Kumar</option>
                                        <option value="Sumit Dhiman">Sumit Dhiman</option>
                                    </select>
                                    @error('csm')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                                </div>
                                <div class="form-group mb-4 mt-3 col-md-6">
                                    {{-- <label for="exampleFormControlFile1">Contract</label>
                                    <input type="file" class="form-control-file" id="exampleFormControlFile1"
                                        name="contract">
                                    @error('contract')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror --}}
                                    <label for="exampleFormControlTextarea1">Project Comments</label>
                                    <textarea class="form-control" name="comments" id="exampleFormControlTextarea1"
                                        rows="3" placeholder="n/a"></textarea>
                                    {{-- address --}}
                                    @error('comments')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="inputZip" class="form-label">Tags</label>
                                    <input type="text" class="form-control" id="inputZip" name="tags"
                                        placeholder="Tags">
                                    @error('tags')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="form-group mb-4 col-md-6">
                                    <label for="exampleFormControlTextarea1">Milestone</label>
                                    <textarea class="form-control" name="milestone" id="exampleFormControlTextarea1"
                                        rows="3" placeholder="Milestone"></textarea>
                                    @error('milestone')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group mb-4 col-md-6">
                                    <label for="exampleFormControlTextarea1">Address</label>
                                    <textarea class="form-control" name="address" id="exampleFormControlTextarea1"
                                        rows="3" placeholder="n/a"></textarea>
                                    @error('address')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group mb-4 col-md-12">
                                   
                                </div>




                            </div>


                    </div>
                </div>
            </div>





        </div>
        <div class="row layout-top-spacing">







            <div id="flLoginForm" class="col-lg-12 layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Client Detail</h4>
                            </div>
                        </div>
                    </div>
                    <div class="widget-content widget-content-area">
                        <div class="row g-3">
                          
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Name</label>
                                <input type="text" class="form-control" name="cilentname" id="inputZip"
                                    placeholder="Client Name">
                                @error('cilentname')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Email</label>
                                <input type="email" class="form-control" name="cilentemail" id="inputZip"
                                    placeholder="Client Email">
                                @error('cilentemail')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Company Name</label>
                                <input type="text" class="form-control" name="companyname" id="inputZip"
                                    placeholder="Company Name">
                                @error('companyname')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Phone</label>
                                <input type="number" class="form-control" name="cilentphone" id="inputZip"
                                    placeholder="Client Phone">
                                @error('cilentphone')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Start Date</label>
                                <input type="date" class="form-control" name="projectstartdate" id="inputZip"
                                    placeholder="Tags">
                                @error('projectstartdate')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-md-6">
                                <label for="inputState" class="form-label">Project Status</label>
                                <select id="inputState" class="form-select" name="status">
                                    <option selected value="">Select Status</option>
                                    <option value="Active">Active</option>
                                    <option value="To-do">To-do</option>
                                    <option value="complected">complected</option>


                                </select>
                                @error('status')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="col">
                                <button type="submit"
                                    class="btn btn-info btn-lg _effect--ripple waves-effect waves-light common_btn1">Submit
                                </button>
                                <button type="Cancle"
                                    class="btn btn-secondary btn-lg _effect--ripple waves-effect waves-light common_btn1 btn_one">Cancel
                                </button>
                            </div>
                        </div>
                        {{-- @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif --}}








                        </form>


                    </div>
                </div>





            </div>
            <!--  END CONTENT AREA  -->

        </div>
        <!-- END MAIN CONTAINER -->


        <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->

        @endsection