@extends('header')
@section('title', 'All Roles')
@section('content')
<div class="layout-px-spacing">

    <div class="middle-content container-xxl p-0">
        @if(session('status'))
        <div class="alert alert-success">
            {{ session('status') }}
        </div>
        @endif

        <div class="row layout-top-spacing">
            <div class="row">
                <div class="col">
                    <div class="widget-heading mb-3">
                        <h5 class="">Insert Employee</h5>
                    </div>
                </div>
            </div>

            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12 layout-spacing">
                <div class="widget widget-table-one">
                    <div class="widget-heading">
                        <form method="POST" action="{{ route('add-workesEmployeeStore') }}">
                            @csrf
                            <h5 style="text-align: center;">Employee Details</h5>

                            <div class="form-group">
                                <select name="userId" class="form-control">
                                    <!-- Adjust the name attribute as needed -->
                                    <option value="" selected>Select User</option>
                                    @foreach($users as $user)
                                    <option value="{{ $user->id }}">{{ $user->name }}</option>
                                    @endforeach
                                </select>
                                @error('userId')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="row">
                                <div class="col-sm-5">
                                    <label for="">StartDate</label>
                                    <input type="date" class="form-control" name="startdate" placeholder="StartDate">
                                    @error('startdate')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="col-sm-5">
                                    <label for="">EndDate</label>
                                    <input type="date" class="form-control" name="enddate" placeholder="EndDate">
                                    @error('enddate')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>


                            </div>
                            <div class="form-group">
                                <label for="">Role</label>
                                <input type="text" class="form-control" name="role" placeholder="Role">
                                @error('role')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label for="">Description</label>
                                <input type="text" class="form-control" name="Description" placeholder="Description">
                                @error('Description')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <input type="hidden" name="projectId" value=" {{ $projectData['id'] }}">
                            <div class="text-center">
                                <button type="submit" class="btn btn-success" name="submit">Save</button>
                            </div>
                        </form>






                    </div>




                    <div class="widget-content">
                        <div class="transactions-list">
                            <div class="t-item">
                                <div class="t-company-name">



                                </div>

                            </div>
                        </div>


                    </div>
                </div>
            </div>
            <div class="col-xl-8 col-md-12 col-sm-12 col-12 layout-spacing">
                <div class="widget widget-table-two p-4">

                    <div class="row d-flex text-end">
                        {{-- <div class="col-sm-4">
                            <select class="form-select form-select-sm" aria-label=".form-select-sm example">
                                <option selected>All</option>
                                <option value="1">One</option>
                                <option value="2">Two</option>
                                <option value="3">Three</option>
                            </select>
                        </div> --}}




                    </div>
                    @if(Session::has('success'))
    <div class="alert alert-success">
        {{ Session::get('success') }}
    </div>
@endif

@if(Session::has('error'))
    <div class="alert alert-danger">
        {{ Session::get('error') }}
    </div>
@endif

                    <div class="widget-content">
                        <div class="table-responsive">
                            <table class="table Common_table text-center">
                                <thead>
                                    <tr>
                                        <th>
                                            <div class="th-content">#</div>
                                        </th>
                                        <th>
                                            <div class="th-content">Name</div>
                                        </th>
                                        <th>
                                            <div class="th-content">Start Date</div>
                                        </th>
                                        <th>
                                            <div class="th-content th-heading">End Date</div>
                                        </th>

                                        <th>
                                            <div class="th-content">Role</div>
                                        </th>
                                        <th>
                                            <div class="th-content">Description</div>
                                        </th>
                                        <th>
                                            <div class="th-content">Actions</div>
                                        </th>


                                    </tr>
                                </thead>
                                <tbody>
                                    @php $sn = 1; @endphp
                                    @foreach($addworkesEmployees as $employee)
                                    <tr>
                                        <td>{{ $employee->id }}</td>
                                        <td>{{ $employee->name }}</td>
                                        <td>{{ $employee->startdate }}</td>
                                        <td>{{ $employee->enddate }}</td>
                                        <td>{{ $employee->role }}</td>
                                        <td>{{ $employee->Description }}</td>
                                        <td>
                                            <form method="POST" action="{{ route('deleteEmployee', ['id' => $employee->id]) }}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger">
                                                    <i class="fa fa-trash text-primary p-1"></i>
                                                </button>
                                            </form>
                                        </td>
                                        

                                    </tr>
                                    @endforeach
                                </tbody>

                            </table>
                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
@endsection