@extends('header')
@section('title', 'All Roles')
@section('content')

<!-- page title area end -->

<div class="main-content-inner">
    <div class="row">
        <!-- data table start -->
        <div class="col-12 mt-5">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title float-left">Roles List</h4>
                    <p class="float-right mb-2">
                        {{-- @if (Auth::guard('admin')->user()->can('role.create')) --}}
                        <a class="btn btn-primary text-white" href="{{ route('allRolesDetails') }}">Create New Role</a>
                     
                        {{-- @foreach ( $userPermission as $userPermisiion )
                            {{ $userPermisiion }}
                        @endforeach --}}
                    </p>
                    <div class="clearfix"></div>
                    <div class="data-tables">
                        {{-- @include('backend.layouts.partials.messages') --}}
                        <table id="dataTable" class="text-center">
                            <thead class="bg-light text-capitalize">
                                <tr>
                                    <th width="5%">S.N</th>
                                    <th width="10%">Name</th>
                                    <th width="60%">description</th>

                                    <th width="15%">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @php $sn = 1; @endphp
                                @foreach ($processedData as $userName => $userData)
                                {{-- {{$userName  }} --}}
                                    <tr>
                                        <td>{{ $sn++ }}</td>
                                        <td>{{ $userName }}</td>
                                        
                                        <td>
                                           
                                                @foreach ($userData['description'] as $description)
                                                <span class="badge badge-info mr-12">{{ $description }}</span>
                                                @endforeach
                                           
                                        </td>
                                       
                                        <td class="text-center">
                                       
                                        <form action="{{ route('roles.delete', ['userName' => $userName]) }}" method="POST">
                                            @csrf
                                            @method('DELETE')
                                            <button class="btn btn-delete">
                                                <span class="mdi mdi-delete mdi-24px"></span>
                                                <span class="mdi mdi-delete-empty mdi-24px"></span>
                                                <span>Delete</span>
                                              </button>
                                        </form>
                                        <br>
                                        <a href="{{ route('roles.edit', ['userName' => $userName]) }}">
                                            @csrf
                                            <button type="submit" class="btn btn-edit">
                                                <span class="mdi mdi-edit mdi-24px"></span>
                                                <span class="mdi mdi-edit-empty mdi-24px"></span>
                                                <span>Edit</span>
                                            </button>
                                        </a>
                                        
                                        
                                        
                                        </td>
                                           
                                         
                                              
                                            </form>
                                        {{-- </td> --}}
                                        
                                    </tr>
                                @endforeach
                            </tbody>
                            
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- data table end -->
    </div>
</div>
@endsection
