@extends('header')
@section('title', 'Add Project')

@section('content')
<div class="layout-px-spacing">
   


    <div class="middle-content container-xxl p-0">


        <div class="row layout-top-spacing">

            <div class="">
                <div class="row">
                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                        <h4>Add Project</h4>
                    </div>
                </div>
            </div>
<!-- Your Blade view file -->
@if (session('status'))
    <div class="alert alert-info">
        {{ session('status') }}
    </div>
@endif



            @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $message)
                        <li>{{ $message }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

            <div id="flLoginForm" class="col-lg-12 layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Project Detail</h4>
                            </div>
                        </div>
                    </div>
                    <div class="widget-content widget-content-area">
{{-- {{ $project }} --}}
{{-- {{ dd($project) }} --}}
                        <form method="POST" action="{{ route('insertProject') }}">
                            @csrf
                            <div class="row g-3">
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Company</label>
                                    <select id="inputState" class="form-select" name="projectcompany">
                                        <option value="{{ $project['projectcompany'] }}">{{ $project['projectcompany'] }}</option>
                                        
                                    </select>
                                    @error('projectcompany')
                                        <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                
                                
                                
                                


                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Name</label>
                                    <input type="text" name="projectname" class="form-control"
                                        placeholder="Project Name"
                                        value="{{ old('projectname', $project->projectname) }}">
                                    @error('projectname')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror

                                </div>
                                {{-- {{ $project->projectbudget }} --}}
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Budget</label>
                                    <input type="number" name="projectbudget" class="form-control"
                                        placeholder="Project Budget"
                                        value="{{ old('projectbudget', $project->projectbudget) }}">
                                    @error('projectbudget')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Type</label>
                                    <select id="inputState" class="form-select" name="projecttype">
                                        <option value="">Select Project Type</option>
                                        <option value="Web" {{ ($project && $project->projecttype == 'Web') ? 'selected'
                                            : '' }}>Web</option>
                                        <option value="Web&Andriod" {{ ($project && $project->projecttype ==
                                            'Web&Andriod') ? 'selected' : '' }}>Web And Andriod</option>
                                        <option value="Web&Ios" {{ ($project && $project->projecttype == 'Web&Ios') ?
                                            'selected' : '' }}>Web And Ios</option>
                                        <!-- Add other options here -->
                                    </select>
                                    @error('projecttype')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>


                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Manager</label>
                                    <select id="inputState" class="form-select" name="projectmanager">
                                        <option value="">Select Manager</option>
                                        @foreach($users as $user)
                                            <option value="{{ $user->id }}" {{ $user->id === $projectManagerId ? 'selected' : '' }}>
                                                {{ $user->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                    @error('projectmanager')
                                        <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">CSM</label>
                                    <select id="inputState" class="form-select" name="csm">
                                        <option value="">Select CSM</option>
                                        <option value="Aman Mishra" {{ ($project && $project->csm == 'Aman Mishra') ?
                                            'selected' : '' }}>Aman Mishra</option>
                                        <option value="Anup Kumar" {{ ($project && $project->csm == 'Anup Kumar') ?
                                            'selected' : '' }}>Anup Kumar</option>
                                        <option value="Sumit Dhiman" {{ ($project && $project->csm == 'Sumit Dhiman') ?
                                            'selected' : '' }}>Sumit Dhiman</option>
                                        <!-- Add other options here -->
                                    </select>
                                    @error('csm')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="form-group mb-4 mt-3 col-md-6">
                                    {{-- <label for="exampleFormControlFile1">Contract</label>
                                    <input type="file" class="form-control-file" id="exampleFormControlFile1"
                                        name="contract">
                                    @error('contract')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror --}}
                                    <label for="exampleFormControlTextarea1">Project Comments</label>
                                    <textarea class="form-control" name="comments" id="exampleFormControlTextarea1"
                                        rows="3"
                                        placeholder="n/a">{{ old('comments', $project->comments ?? '') }}</textarea>
                                    {{-- comments --}}
                                    @error('comments')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6">
                                    <label for="inputZip" class="form-label">Tags</label>
                                    <input type="text" class="form-control" id="inputZip" name="tags" placeholder="Tags"
                                        value="{{ old('tags', $project->tags ?? '') }}">
                                    @error('tags')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>


                                <div class="form-group mb-4 col-md-6">
                                    <label for="exampleFormControlTextarea1">Milestone</label>
                                    <textarea class="form-control" name="milestone" id="exampleFormControlTextarea1"
                                        rows="3"
                                        placeholder="Milestone">{{ old('milestone', $project->milestone ?? '') }}</textarea>
                                    @error('milestone')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="form-group mb-4 col-md-6">
                                    <label for="exampleFormControlTextarea1">Address</label>
                                    <textarea class="form-control" name="address" id="exampleFormControlTextarea1"
                                        rows="3"
                                        placeholder="n/a">{{ old('address', $project->address ?? '') }}</textarea>
                                    @error('address') 
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="form-group mb-4 col-md-12">
                                   
                                </div>





                            </div>


                    </div>
                </div>
            </div>





        </div>
        <div class="row layout-top-spacing">







            <div id="flLoginForm" class="col-lg-12 layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Client Detail</h4>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="projectId" value="{{ $project->id }}"

                    <div class="widget-content widget-content-area">
                        <div class="row g-3">
                            
                            
                            

                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Name</label>
                                <input type="text" class="form-control" name="cilentname" id="inputZip"
                                    placeholder="Client Name" value="{{ old('cilentname', $project->cilentname) }}">
                                @error('cilentname')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>


                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Email</label>

                                <input type="email" class="form-control" name="cilentemail" id="inputZip"
                                    placeholder="Client Email" value="{{ old('cilentemail', $project->cilentemail) }}">
                                @error('cilentemail')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Company Name</label>

                                <input type="text" class="form-control" name="companyname" id="inputZip"
                                    placeholder="Company Name" value="{{ old('companyname', $project->companyname) }}">
                                @error('companyname')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Phone</label>

                                <input type="number" class="form-control" name="cilentphone" id="inputZip"
                                    placeholder="Client Phone" value="{{ old('cilentphone', $project->cilentphone) }}">

                                @error('cilentphone')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Start Date</label>
                                
                                    <input type="date" class="form-control" name="projectstartdate" id="inputZip"
                                    placeholder="ProjectStartDate" value="{{ old('projectstartdate', $project->projectstartdate) }}">
                                    
                                @error('projectstartdate')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col-md-6">
                                <label for="inputState" class="form-label">Project Status</label>
                                <select id="inputState" class="form-select" name="status">
                                    <option value="">Select Status</option>
                                    <option value="Active" {{ $project->status === 'Active' ? 'selected' : '' }}>Active</option>
                                    <option value="To-do" {{ $project->status === 'To-do' ? 'selected' : '' }}>To-do</option>
                                    <option value="Completed" {{ $project->status === 'Completed' ? 'selected' : '' }}>Completed</option>
                                </select>
                                @error('status')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            
                            

                            <div class="col">
                                <button type="submit"
                                    class="btn btn-info btn-lg _effect--ripple waves-effect waves-light common_btn1">Submit
                                </button>
                                <button type="Cancle"
                                    class="btn btn-secondary btn-lg _effect--ripple waves-effect waves-light common_btn1 btn_one">Cancel
                                </button>
                            </div>
                        </div>
                        {{-- @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif --}}








                        </form>


                    </div>
                </div>





            </div>
            <!--  END CONTENT AREA  -->

        </div>
        <!-- END MAIN CONTAINER -->


        <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->

        @endsection