<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;

// Route::get('/',function(){
   
// });

Auth::routes();

// Define a group of routes that require authentication
Route::middleware(['auth'])->group(function () {

    Route::any('/dashboard', 'App\Http\Controllers\HomeController@dashboard')->name('dashboard');
    Route::any('/premisons','App\Http\Controllers\HomeController@premisons')->name('premisons');
  
    Route::get('/premisons', 'App\Http\Controllers\HomeController@premisonsDetails')->name('premisonsDetails');
    Route::any('/addPremissionPage','App\Http\Controllers\HomeController@PremisonPageValidate')->name('PremisonPageValidate');


    Route::any('/project', 'App\Http\Controllers\HomeController@manage_project')->name('manage_project');
    // Route::get('/projects/{id}/edit', 'App\Http\Controllers\HomeController@projectEdit')->name('project.edit');
    Route::get('/projects/{id}/edit', 'App\Http\Controllers\HomeController@projectEdit')->name('project.edit');
    Route::delete('/project/{id}', 'App\Http\Controllers\HomeController@deleteProject')->name('deleteProject');



    Route::any('/add-projects', 'App\Http\Controllers\HomeController@add_projects')->name('add_projects');
    // Route::post('/insert-project', 'App\Http\Controllers\HomeController@insertProject')->name('insertProject');
    Route::post('/insert-project', 'App\Http\Controllers\HomeController@insertProject')->name('insertProject');

    Route::get('/projects/{id}', 'App\Http\Controllers\HomeController@show')->name('project.detail');

    Route::put('/projects/{invoice}', 'App\Http\Controllers\HomeController@updateStatus')->name('update_status');
    Route::get('/invoices/{id}/edit', 'App\Http\Controllers\HomeController@editInvoices')->name('invoices.edit');



    // Route::post('/add-projects', 'App\Http\Controllers\HomeController@manageProject')->name('manage_projects');

    Route::get('/add-invoice/{id}', 'App\Http\Controllers\HomeController@addinvoices')->name('addinvoices.id');
    Route::delete('/invoice/{id}', 'App\Http\Controllers\HomeController@deleteinvoice')->name('deleteInvoice');

    Route::get('/add-milestone/{id}', 'App\Http\Controllers\HomeController@addmilestone')->name('addmilestone.id');
    Route::delete('/milestone/{id}', 'App\Http\Controllers\HomeController@deleteMilestone')->name('deleteMilestone');

    Route::get('/add-workesEmployee/{id}', 'App\Http\Controllers\HomeController@addWorksEmployee')->name('addWorksEmployee.id');
    Route::delete('/employee/{id}', 'App\Http\Controllers\HomeController@deleteEmployee')->name('deleteEmployee');

    // Route::get('/add-workesEmployeeStore', 'App\Http\Controllers\HomeController@addworkesEmployeeStore')->name('addworkesEmployeeStore');
    Route::any('/add-workesEmployeeStore', 'App\Http\Controllers\HomeController@addworkesEmployeeStore')->name('add-workesEmployeeStore');


    Route::any('/add_mileStone', 'App\Http\Controllers\HomeController@validatMileStone')->name('add_mileStone');

    Route::post('/submit-invoice', 'App\Http\Controllers\HomeController@submit_invoice')->name('submit_invoice');

    // Route::post('/submit-invoice', 'HomeController@submit_invoice')->name('submit_invoice');


    Route::any('/add-on', 'App\Http\Controllers\HomeController@add_on')->name('add_on');
    Route::get('/Salesmanager', 'App\Http\Controllers\HomeController@Salesmanager')->name('Salesmanager');
    // Route::put('/Salesmanager/{milestone}', 'App\Http\Controllers\HomeController@updateStatusMileStone')->name('update_statusMileStone');
    Route::put('/update_status_milestone/{user}', 'App\Http\Controllers\HomeController@updateStatusMileStone')
        ->name('update_statusMileStone');


    Route::any('/add_Salesmanager', 'App\Http\Controllers\HomeController@add_Salesmanager')->name('add_Salesmanager');

    Route::any('/add_SalesmanagerStore', 'App\Http\Controllers\HomeController@validatSalesmanager')->name('add_SalesmanagerStore');
    Route::any('/user', 'App\Http\Controllers\HomeController@mannageUser')->name('user');
    Route::any('/addUsers','App\Http\Controllers\HomeController@addUsers')->name('addUsers');
    Route::any('/addUsersStore','App\Http\Controllers\HomeController@addUsersStore')->name('addUsersStore');
    Route::delete('/users/{id}', 'App\Http\Controllers\HomeController@deleteUser')->name('deleteUser');

    Route::any('/users/{userId}/edit', 'App\Http\Controllers\HomeController@edit')->name('users.edit');


    Route::any('/ListOfProject', 'App\Http\Controllers\HomeController@projectList')->name('projectList');
    Route::any('/ListOfPojectManager', 'App\Http\Controllers\HomeController@PojectManagerList')->name('PojectManagerList');

    Route::any('/addinvoices', 'App\Http\Controllers\HomeController@addinvoicesforproject')->name('addinvoicesforproject');
    Route::any('/usersView', 'App\Http\Controllers\HomeController@usersView')->name('usersView');


Route::any('/role','App\Http\Controllers\RoleController@allRolesView')->name('allRolesView');
Route::any('/allRolesDetails','App\Http\Controllers\RoleController@allRolesDetails')->name('allRolesDetails');
Route::any('/allRolesDetailsStore','App\Http\Controllers\RoleController@allRolesDetailsStore')->name('allRolesDetailsStore');
// routes/web.php or routes/api.php
Route::any('/roles/{userName}', 'App\Http\Controllers\RoleController@delete')->name('roles.delete');

// Route::get('/roles/{id}/edit', 'RoleController@allRolesEdit')->name('allRolesEdit');
Route::any('/roles/{userName}/edit', 'App\Http\Controllers\RoleController@allRolesEdit')->name('roles.edit');





    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
    Route::post('/logout', [HomeController::class, 'logout'])->name('logout');
});




// Routes that are accessible without authentication
Route::get('/login', [HomeController::class, 'showLoginForm'])->name('loginpage');
Route::post('/login', [HomeController::class, 'validateLogin'])->name('login');

// Add Sales Manager routes


// ... Add other routes as needed
